/**
 *#########################################################################
 *
 * A component of the Gatherer application, part of the Greenstone digital
 * library suite from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * <BR><BR>
 *
 * Author: John Thompson, Greenstone Digital Library, University of Waikato
 *
 * <BR><BR>
 *
 * Copyright (C) 1999 New Zealand Digital Library Project
 *
 * <BR><BR>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * <BR><BR>
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * <BR><BR>
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *########################################################################
 */

 




/* GPL_HEADER */
package org.greenstone.gatherer.file;
/**************************************************************************************
 * Title:        Gatherer
 * Description:  The Gatherer: a tool for gathering and enriching a digital collection.
 * Company:      The University of Waikato
 * Written:      20/10/02
 * Revised:      
 **************************************************************************************/
/** The file association class remembers both a certain file extension and the command used to open this type of file. 
 * @author John Thompson
 * @version 2.3
 */
public class FileAssociation {
    /** The file extension, most likely three or four letters. */
    private String extension;
    /** The command string, which may include %1 which should be replaced with the target files name. */
    private String command;
    public FileAssociation(String extension, String command) {
	this.command = command;
	this.extension = extension;
    }
    /** Retrieve the command from this association.
     * @return The command as a <strong>String</strong>.
     */
    public String getCommand() {
	return command;
    }
    /** Retrieve the extension from this association.
     * @return The extension as a <strong>String</strong>.
     */
    public String getExtension() {
	return extension;
    }
    /** Set the command for this file association.
     * @param command The new command as a <strong>String</strong>.
     */
    public void setCommand(String command) {
	this.command = command;
    }
}
